\name{findNG4Tag}
\alias{findNG4Tag}
\alias{getBinding}
\alias{getDBArgs}
\alias{getLibCounts}
\alias{getSAGEKNN}
\alias{getSLyzerArgs}
\alias{getTag}
\alias{getUnixDBArgs}
\alias{getWinDBArgs}
\alias{linkTag2UG}
\alias{mapLib2File}
\alias{mapSAGE2UG}
\alias{modSLyzerArgs}
\alias{procSAGE}
\alias{remapTagNUG}
\alias{runSLyzer}
\alias{SAGEFromGEO}
\alias{setKNNArgs}
\alias{setSLyzerArgs}
\alias{showDBError}
\alias{writeSAGEKNN}
\alias{writeSLyzerArgs}

\title{Supporting functions}
\description{
  These are all supporting functions that may of no use out side of thecontext
}
\usage{
getDBArgs()
getUnixDBArgs(binding = "pg")
getBinding(binding = c("pg"))
getWinDBArgs()
getTag()
setKNNArgs()
getSLyzerArgs(argName = "SAGELyzerArgs")
writeSLyzerArgs(args, argName = "SAGELyzerArgs")
modSLyzerArgs(argName, value)
setSLyzerArgs()
runSLyzer()
writeSAGEKNN(knn, targetSAGE)
getSAGEKNN()
getLibCounts()
mapLib2File()
linkTag2UG()
remapTagNUG(mappings)
SAGEFromGEO()
procSAGE()
mapSAGE2UG()
showDBError()
findNG4Tag()
}

\arguments{
  \item{binding}{a character string that can be "pg" at this time for
    PostgreSQL} 
  \item{argName}{A character string for the name of a argument stored in
    an environment that can be access for stored information}
  \item{args}{Contents that will be written to the environment that can
    be accessed later}
  \item{value}{Same as args above}
  \item{knn}{Results form running knn}
  \item{targetSAGE}{A character string for a tag sequence that is
    compared to using knn}
  \item{mappings}{A data from that contains mappings between SAGE tags
    and UniGene ids}
}
\details{
  These functions should only be used with the main functions. Users do
  not need to call them out side of the main functions.
}
\value{
  The functions returns various values
}
\references{\url{http://www.ncbi.nlm.nih.gov/geo/query/}}
\author{J. Zhang}
\note{The functions are part of the Bioconductor project at Dana-Farber
  Cancer Institute to provide bioinformatics functionalities through R}

\seealso{\code{\link{mergeSAGE}}}

\examples{
  #No examples provided
}
\keyword{manip}
